Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.v2
Class XSLExtensionElement

`java.lang.Object
oracle.xml.parser.v2.XSLExtensionElement`

      public class XSLExtensionElement

extends java.lang.Object

Base element for extension elements

Constructor Summary
`XSLExtensionElement()` Default Constructor

Method Summary
`protected java.lang.String` `getAttributeTemplateValue(XSLTContext context, java.lang.String namespace, java.lang.String name)` Get an attribute value as template
`protected java.lang.String` `getAttributeValue(java.lang.String namespace, java.lang.String name)` Get an attribute value
`protected java.util.Vector` `getChildNodes()` Gets the childNodes of the extension elements
`void` `processAction(XSLTContext context)` Function called to extecute the body of the extension elements
`protected void` `processContent(XSLTContext context)` Process Contents of the extension element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLExtensionElement

    public XSLExtensionElement()

  Default Constructor

Method Detail

### processAction

    public void processAction(XSLTContext context)
                       throws XSLException

  Function called to extecute the body of the extension elements
  Parameters:
    `context` - XSLTContext
  Throws:
    `XSLException`

### processContent

    protected final void processContent(XSLTContext context)
                                 throws XSLException

  Process Contents of the extension element
  Parameters:
    `context` - XSLTContext
  Throws:
    `XSLException`

### getChildNodes

    protected final java.util.Vector getChildNodes()

  Gets the childNodes of the extension elements
  Returns:
    nodelist

### getAttributeValue

    protected final java.lang.String getAttributeValue(java.lang.String namespace,
                                                       java.lang.String name)
                                                throws XSLException

  Get an attribute value
  Parameters:
    `namespace` - namespace of the attribute
    `name` - name of the attribute
  Returns:
    value of the attribute
  Throws:
    `XSLException`

### getAttributeTemplateValue

    protected final java.lang.String getAttributeTemplateValue(XSLTContext context,
                                                               java.lang.String namespace,
                                                               java.lang.String name)
                                                        throws XSLException

  Get an attribute value as template
  Parameters:
    `context` - XSLTContext
    `namespace` - namespace of the attribute
    `name` - name of the attribute
  Returns:
    value of the attribute
  Throws:
    `XSLException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.